Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227092 - Review Request: piccolo-1.04-2jpp - Small fast XML parser
Summary: Review Request: piccolo-1.04-2jpp - Small fast XML parser
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:48 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 21:43:51 UTC
tbento: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:48:52 UTC
Spec URL: http://people.redhat.com/rafaels/specs/piccolo-1.04-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/piccolo-1.04-2jpp.src.rpm
Description: Piccolo is a small, extremely fast XML parser for
Java. It implements the SAX 1, SAX 2.0.1, and
JAXP 1.1 (SAX parsing only) interfaces as a
non-validating parser and attempts to detect
all XML well-formedness errors.

Javadoc for piccolo.

Comment 1 Tania Bento 2007-02-12 20:01:47 UTC
==============================
RPMLINT output for source RPM:
==============================

W: piccolo non-standard-group Text Processing/Markup/XML
W: piccolo strange-permission piccolo-1.04-src.zip 0600
W: piccolo setup-not-quiet

===============================
RPMLINT output for binary RPMs:
===============================

piccolo-1.04-2jpp.noarch.rpm:
-----------------------------
W: piccolo non-standard-group Text Processing/Markup/XML
W: piccolo wrong-file-end-of-line-encoding /usr/share/doc/piccolo-1.04/LICENSE.txt

piccolo-javadoc-1.04-2jpp.noarch.rpm:
-------------------------------------
W: piccolo-javadoc non-standard-group Development/Documentation
W: piccolo-javadoc dangerous-command-in-%post rm
W: piccolo-javadoc dangerous-command-in-%postun rm


- Change %License to Apache Software License.

- Fix %Release tag.

- Change %BuildRoot tag to
"%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)".

- Remove %Vendor tag.

- Remove %Distribution tag.

- In the future, when gcj support added, remove %BuildArch tag.



Comment 2 Permaine Cheung 2007-02-13 17:20:26 UTC
(In reply to comment #1)
> ==============================
> RPMLINT output for source RPM:
> ==============================
> 
> W: piccolo non-standard-group Text Processing/Markup/XML
> W: piccolo strange-permission piccolo-1.04-src.zip 0600
Fixed
> W: piccolo setup-not-quiet
Fixed
> 
> ===============================
> RPMLINT output for binary RPMs:
> ===============================
> 
> piccolo-1.04-2jpp.noarch.rpm:
> -----------------------------
> W: piccolo non-standard-group Text Processing/Markup/XML
> W: piccolo wrong-file-end-of-line-encoding /usr/share/doc/piccolo-1.04/LICENSE.txt
Fixed
> 
> piccolo-javadoc-1.04-2jpp.noarch.rpm:
> -------------------------------------
> W: piccolo-javadoc non-standard-group Development/Documentation
> W: piccolo-javadoc dangerous-command-in-%post rm
> W: piccolo-javadoc dangerous-command-in-%postun rm
> 
Fixed, please check if I've done it correctly.
> 
> - Change %License to Apache Software License.
> 
Fixed
> - Fix %Release tag.
Fixed
> 
> - Change %BuildRoot tag to
> "%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)".
> 
Fixed
> - Remove %Vendor tag.
> 
Fixed
> - Remove %Distribution tag.
> 
Fixed
> - In the future, when gcj support added, remove %BuildArch tag.
> 
> 
Added gcj support.

Now rpmlint gives:
[pcheung@toque new]$ rpmlint
/home/pcheung/topdir/SRPMS/piccolo-1.04-2jpp.1.src.rpm
/home/pcheung/topdir/RPMS/i386/piccolo-1.04-2jpp.1.i386.rpm
/home/pcheung/topdir/RPMS/i386/piccolo-javadoc-1.04-2jpp.1.i386.rpm
/home/pcheung/topdir/RPMS/i386/piccolo-debuginfo-1.04-2jpp.1.i386.rpm
W: piccolo non-standard-group Text Processing/Markup/XML
W: piccolo non-standard-group Text Processing/Markup/XML
W: piccolo-javadoc non-standard-group Development/Documentation


spec file and srpm can be found at:

https://pcheung.108.redhat.com/files/documents/174/211/piccolo.spec
https://pcheung.108.redhat.com/files/documents/174/212/piccolo-1.04-2jpp.1.src.rpm

Comment 3 Tania Bento 2007-02-13 21:30:16 UTC
APPROVED.

Comment 4 Matt Wringe 2007-03-06 15:50:42 UTC
New Package CVS Request
=======================
Package Name: piccolo
Short Description:  Small fast XML parser
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.